package bin;

import kernel.log.Log;
import macros.rpc.RPC;
import kernel.ps.ProcessHandle;
import kernel.ps.Process;

using tink.CoreApi;

@:build(macros.rpc.RPC.buildRPC())
class HelloWorldService implements Process {
	private var handle:ProcessHandle;

	public function new() {}

	public function run(handle:ProcessHandle) {
		this.handle = handle;

		RPC.generateRPCPackageHandle();
	}

	@rpc
	public function getNumber(arg1: Int, arg2: Int):Int {
		Log.debug(arg1);
		Log.debug(arg2);
		return 42;
	}
}
